function processClick(info) {
	var potentialId = info.selectionText;
	if (!(Number(potentialId))) { console.log(`"${potentialId}" is not a valid id!`); return; }

	switch (info.menuItemId) {
		case 'linkblox-library':
			chrome.tabs.create({ url: "https://www.roblox.com/library/" + potentialId })
			break;
		case 'linkblox-profile':
			chrome.tabs.create({ url: "https://www.roblox.com/users/" + potentialId + "/profile"})
			break;
		case 'linkblox-group':
			chrome.tabs.create({ url: "https://www.roblox.com/groups/" + potentialId })
			break;
	}
}

chrome.contextMenus.create({
	"id": 'linkblox-library',
	"title": "Open in Roblox Library",
	"contexts": ["selection"],
	"visible": true
});

chrome.contextMenus.create({
	"id": 'linkblox-profile',
	"title": "Open Roblox Profile",
	"contexts": ["selection"],
	"visible": true
});

chrome.contextMenus.create({
	"id": 'linkblox-group',
	"title": "Open Roblox Group",
	"contexts": ["selection"],
	"visible": true
});

chrome.contextMenus.onClicked.addListener(processClick)